Subject: [lamps] [Technical Errata Reported] RFC9810 (9044)
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 29 Jul 2026 13:49:47 -0000
List-Id: This is the mail list for the LAMPS Working Group <spasm.ietf.org>

The following errata report has been submitted for RFC9810,
"Internet X.509 Public Key Infrastructure -- Certificate Management Protocol (CMP)"

--------------------------------------
You may review the report below and at:
https://errata.rfc-editor.org/eid9044/

--------------------------------------
Type: Technical
Reported by: David von Oheimb <[email-masked]>

Section 5.1.1 says:

Original Text
-------------
In such
a case, the senderKID field MUST hold an identifier (i.e., a
reference number) that indicates to the receiver the appropriate
shared secret information to use to verify the message.

Corrected Text
--------------
If the sender does not know its own DN and
it protects the message using a shared secret,
the senderKID field MUST hold an identifier (i.e., a
reference number) that indicates to the receiver the appropriate
shared secret information to use to verify the message.

Notes
-----
The above extension allows for the following case:
If the sender does not know its own DN
and does not protect the message, providing a senderKID is not relevant.

Instructions:
-------------
This erratum is currently posted as "Reported". Please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
will log in to change the status and edit the report, if necessary.

--------------------------------------
RFC9810 (draft-ietf-lamps-rfc4210bis)
--------------------------------------
Title               : Internet X.509 Public Key Infrastructure -- Certificate Management Protocol (CMP)
Publication Date    : July 2025
Author(s)           : H. Brockhaus, D. von Oheimb, M. Ounsworth, J. Gray
Category            : Proposed Standard
Source              : lamps (sec)
Stream              : IETF
Verifying Party     : IESG